<?php
use classes\DataBase;

require 'init.php';

$db = new DataBase();

$photosets = $db->rows("SELECT * FROM photosets ORDER BY id DESC");

foreach ($photosets AS $photoset) {
    echo '<h3>'.$photoset['title'].'</h3>';

    $photos = $db->rows("SELECT * FROM photos WHERE photoset_id = ? ORDER BY id DESC", [$photoset['id']]);
    foreach ($photos AS $photo) {
        $name = basename($photo['path']);
        $thumbnail = str_replace($name, '/thumbnail/' . $name, $photo['path']);
        echo '<a href="'.$photo['path'].'"><img src="'.$thumbnail.'" alt=""></a>';
    }
}